<?php

/*

Timetable, localization file
Copyright (C) 2004 Ari Takku

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/


// *********** ENGLISH **********

function localizeInEnglish($key)
{
  $L = array();

  $L['MONDAY'] = "Monday";
  $L['TUESDAY'] = "Tuesday";
  $L['WEDNESDAY'] = "Wednesday";
  $L['THURSDAY'] = "Thursday";
  $L['FRIDAY'] = "Friday";
  
  // Page titles
  $L['MODIFYPAGE_TITLE'] = "Timetable :: Modify page";
  $L['PAGE_TITLE'] = "Timetable";
  
  // Timetable
  $L['TIMETABLE'] = "Timetable";
  $L['TIME'] = "Time";
  $L['TT_SAVE'] = "Save timetable";
  
  
  // Homepages
  $L['HOMEPAGE'] = "Homepages";
  $L['URL'] = "URL";
  $L['NAME'] = "Name";
  $L['SAVE_HOMEPAGE'] = "Save homepages";
  $L['HOMEPAGE_TIP'] = "To add new homepages, use the bottommost fields.";
  
  // Deadlines
  $L['DEADLINE'] = "Deadlines";
  $L['DL_DATE'] = "Date (dd.mm.yyyy)";
  $L['DL_TIME'] = "Time (hh:mm)";
  $L['DL_DESCRIPTION'] = "Description";
  $L['DL_DAYS_LEFT'] = "Days left";
  $L['DL_ADD_DEADLINE'] = "Adding new deadline";
  $L['BTN_ADD_DEADLINE'] = "Add new deadline";
  $L['DL_COMING'] = "Coming deadlines";
  $L['DL_OLD'] = "Old deadlines";
  $L['DL_SAVE'] = "Save deadlines";
  $L['DL_TIP'] = "To delete an entry, clear deadline's description and save.";
  
  // Links
  $L['TO_TIMETABLE'] = "To timetable &gt;&gt;";
  $L['TO_MODIFY'] = "&lt;&lt; To modify page";

  $L['NOT_AUTHORIZED'] = "You don't have permissions to view this page.";

  $result = $L[$key]; 

  return $result != "" ? $result : $key;
}


// *********** FINNISH **********

function localizeInFinnish($key)
{
  $L = array();

  $L['MONDAY'] = "Maanantai";
  $L['TUESDAY'] = "Tiistai";
  $L['WEDNESDAY'] = "Keskiviikko";
  $L['THURSDAY'] = "Torstai";
  $L['FRIDAY'] = "Perjantai";
  
  // Page titles
  $L['MODIFYPAGE_TITLE'] = "Lukuj&auml;rjestys :: Muokkaa -sivu";
  $L['PAGE_TITLE'] = "Lukuj&auml;rjestys";
  
  // Timetable
  $L['TIMETABLE'] = "Lukuj&auml;rjestys";
  $L['TIME'] = "Kello";
  $L['TT_SAVE'] = "Tallenna lukuj&auml;rjestys";
  
  
  // Homepages
  $L['HOMEPAGE'] = "Kotisivut";
  $L['URL'] = "URL";
  $L['NAME'] = "Nimi";
  $L['SAVE_HOMEPAGE'] = "Tallenna kotisivut";
  $L['HOMEPAGE_TIP'] = "Uusien kotisivujen lis&auml;ys tapahtuu alimpaan kentt&auml;&auml;n.";
  
  // Deadlines
  $L['DEADLINE'] = "Deadlinet";
  $L['DL_DATE'] = "PVM (pp.kk.vvvv)";
  $L['DL_TIME'] = "Kello (tt:mm)";
  $L['DL_DESCRIPTION'] = "Kuvaus";
  $L['DL_DAYS_LEFT'] = "P&auml;ivi&auml; j&auml;ljell&auml;";
  $L['DL_ADD_DEADLINE'] = "Uuden deadlinen lis&auml;ys";
  $L['BTN_ADD_DEADLINE'] = "Lis&auml;&auml; uusi deadline";
  $L['DL_COMING'] = "Tulevat deadlinet";
  $L['DL_OLD'] = "Menneet deadlinet";
  $L['DL_SAVE'] = "Tallenna deadlinet";
  $L['DL_TIP'] = "Poistaaksesi deadlinen, tyhjenn&auml; kuvaus ja talleta.";
  
  // Links
  $L['TO_TIMETABLE'] = "Takaisin lukuj&auml;rjestykseen &gt;&gt;";
  $L['TO_MODIFY'] = "&lt;&lt; Muokkaa -sivulle";

  $L['NOT_AUTHORIZED'] = "Sinulla ei ole lupaa avata kyseist&auml; sivua.";


  $result = $L[$key]; 

  return $result != "" ? $result : $key;  
}


function localizeError($key)
{
  $L = array();

  $common = " Check the README file for more information.";

  $L['CONF_ERROR_NO_FILES_DIR'] = 
    "sufficient data directory is missing.";
  $L['CONF_ERROR_NO_PERMISSION_TO_DIR'] = 
    "required permissions are not given.";
  $L['CONF_ERROR_NO_PERMISSION_TO_FILES'] = 
    "data files exist, but permissions are insufficient.";

  $result = $L[$key]; 

  if ($result != "")
  {
    return 
      "<p><strong>Error in configuration: </strong>\n".
      "".$result."</p><p>Plese, check README for further information.</p>\n";
  }
  return $key; 

}


function localize($key)
{
  $key = strtoupper($key);
  if ( $GLOBALS['LANGUAGE'] == "FI" )
  {
    return localizeInFinnish($key);
  }
  else
  {
    return localizeInEnglish($key);
  }
}


?>
