<?php

/*

Timetable, handler for deadline related information
Copyright (C) 2004 Ari Takku

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

require_once("../conf.php");
require("authenticate.php");

if (isset($_POST['add_new_deadline']))
{
  $kk = trim(strip_tags($_POST['dedis_kk']));
  $pvm = trim(strip_tags($_POST['dedis_pvm']));
  $year = trim(strip_tags($_POST['dedis_year']));

  $clock = 
    trim(strip_tags($_POST['dedis_clock_tt'])).":".
    trim(strip_tags($_POST['dedis_clock_mm']));
  

  $desc = trim(strip_tags($_POST['dedis_kuvaus']));

  $validData = ($desc != "");

  // if no clocktime set..
  $clock= ($clock == "") ? "23:59:00" : $clock.":00";

  if ( $validData )
  {
    $str = $year."-".$kk."-".$pvm." ".$clock.
      $GLOBALS['DEADLINE_SEPARATOR'].$desc;

    $fp = fopen($GLOBALS['FILE_DEADLINE'], "a");
    fputs($fp, $str."\n");
    fclose($fp);
  }
}

if (isset($_POST['deadline_save']))
{
  
  $file = $GLOBALS['FILE_DEADLINE'];

  $fp = fopen($file, "w+");
  

  $sep = $GLOBALS['DEADLINE_SEPARATOR'];

  // number of not-founds to be tolerable
  $notExistsTolerable = 20;
  $notExistsCount = 0;
  for ($i = 0; true; $i++)
  {
    if ( isset($_POST['dl_desc_'.$i]) )
    {
      $desc = trim(strip_tags($_POST['dl_desc_'.$i]));

      // empty description means that deadeline is to be deleted
      if ( $desc == "" )
      {
	continue;
      }
      
      $days = trim(strip_tags($_POST['dl_days_'.$i]));
      $months = trim(strip_tags($_POST['dl_months_'.$i]));
      $years = trim(strip_tags($_POST['dl_years_'.$i]));
      $hours = trim(strip_tags($_POST['dl_clock_tt_'.$i]));
      $minutes = trim(strip_tags($_POST['dl_clock_mm_'.$i]));


      // write the deadline 
      $date =  
	$years."-".$months."-".$days." ".
	$hours.":".$minutes.":00";


      fputs($fp, $date.$sep.$desc."\n");	
    }
    else
    {

      $notExistsCount++;
      if ( $notExistsCount > $notExistsTolerable )
      {
	break;
      }
    }
  }

  fclose($fp);
}

header("Location: ".$GLOBALS['URL_MODIFY']);
?>
