<?php

/*

Timetable, modify page
Copyright (C) 2004 Ari Takku

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/



require_once("../conf.php");
require_once("../functions/xhtmlFunctions.php");
require_once("../functions/timetableFunctions.php");
require_once("../functions/deadlineFunctions.php");
require_once("../functions/homepageFunctions.php");
require("authenticate.php");



// prints a link to the timetable page
function printLink($float = true)
{
  if ( $float )
  {
    print ("<div class=\"tip\">\n");
  }
  print('<a href="'.$GLOBALS['URL'].'">'.localize("TO_TIMETABLE")."</a>\n");
  if ( $float )
  {
    print ("</div>\n");
  }
}

printHeader(localize("MODIFYPAGE_TITLE"), "../timetable.css");
?>


<body>



<?php


if ( $GLOBALS['ENABLE_TIMETABLE'])
{
  print('<h2>'.localize("TIMETABLE").'</h2>'."\n");
  printTimetable(true);
  printLink();
  print("<hr />\n");
}
if ( $GLOBALS['ENABLE_HOMEPAGES'])
{
  print('<h2>'.localize("HOMEPAGE").'</h2>');
  printHomepages(true); 
  printLink();
  print("<hr />\n");
}
if ( $GLOBALS['ENABLE_DEADLINES'])
{
  print('<h2>'.localize("DEADLINE").'</h2>'."\n");
  printDeadlines(true); 
  printLink();
  print("<hr />\n");

?>



<h3><?php print localize("dl_add_deadline"); ?></h3>
<form method="post" action="deadline_formhandler.php">

<table cellpadding="0" cellspacing="0" class="add_deadline_table">
<tr>
<td>
<fieldset><legend><?php print localize("DL_DATE"); ?></legend>
<?php

printSelectWidget("dedis_pvm", 1, 32, date("d"));
print(".");
printSelectWidget("dedis_kk", 1, 13, date("m"));
print(".");
printSelectWidget("dedis_year", date("Y"), date("Y")+2, date("Y"));

?>

</fieldset>
</td>
<td>
<fieldset><legend><?php print localize("DL_TIME"); ?></legend>

<?php

printSelectWidget("dedis_clock_tt", 0, 24, "23");
print ":";
printSelectWidget("dedis_clock_mm", 0, 60, "59");


?>



</fieldset>
</td>
</tr>

<tr>
<td colspan="2">
<fieldset><legend><?php print localize("DL_DESCRIPTION"); ?></legend>
<input type="text" name="dedis_kuvaus" value="" class="dedis_desc"/>
</fieldset>
</td>
</tr>

</table>

<p>
<input name="add_new_deadline" type="submit" value="<?php 
print localize("BTN_ADD_DEADLINE"); ?>" />
</p>
</form>

<?php
} // END OF "IF ENABLED_DEADLINES"
?>

</body>
</html>

